         implicit real*8(a-h,o-z)
!        幅：haba(半解析で幅を半分にするなら載荷荷重も半分に)
         haba=2.d-2
!        桁高：taka
         taka=20.d-2
         print*,'梁の軸長を入れてください'
         read*, ziku
         print*,'梁のたわみを入れてください'
         read*,ccx
!        載荷荷重：p
         p=1000.d0
!        ヤング率：E
         e=200.d9
!        せん断弾性係数：G
         g=70.d9
         a=haba*taka
         xi=haba*taka**3/12.d0
        pk0=1.2d0
        tawa=p*ziku**3/3.d0/e/xi
        tawap0=tawa+p*ziku/g/a*pk0
!        pk=(12.d0+11.d0*poiyzb)/10.d0/(1.d0+poiyzb)
!        tawap=tawa+p*ziku/gyzb/a*pk
        print*,gyzb,a,ziku,ezzxi
        vk=g*a/p/ziku*(ccx-p*ziku**3/3.d0/e/xi)
       print'(a,1pd13.5)',' k(ν=0の等方性材料)=',1.d0/pk0
       print'(a,1pd13.5)',' k(たわみv から逆算)=',1.d0/vk
       print'(a,1pd13.5)',' 荷重 f=',p
       print'(a,1pd13.5)',' たわみ v(せん断無視の梁理論)=',tawa
       print'(a,1pd13.5)',' たわみ v(ν=0で  せん断考慮)=',tawap0
!      print'(a,1pd13.5)',' たわみ v(νから  せん断考慮)=',tawap
       print'(a,f10.3)','v誤差(梁理論 %)=',(ccx-tawa)/tawa*100.d0
       print'(a,f10.3)','v誤差(k=5/6  %)=',(ccx-tawap0)/tawap0*100.d0
!      print'(a,f10.3)','v誤差(等方k  %)=',(t0-tawap)/tawap*100.d0
!
       end
